document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_8400 | ---
+++
@@ -19,14 +19,19 @@
retval=0
repofile=/etc/yum.repos.d/sclo-ci-test.repo
-rm -f "$repofile"
-touch "$repofile"
generate_repo_file "$collection" "$el_version" "$arch" >"$repofile"
yum -y update
yum -y install "$collection" || retval=1
+if [ $retval -eq 0 ] && [ -d "$collection" ] ; then
+ pushd "... | bash |
d_bash_8401 | ---
+++
@@ -12,12 +12,6 @@
sudo yum -y install buildkite-agent
sudo usermod -a -G docker buildkite-agent
-# https://github.com/buildkite/agent/issues/234
-if [ -f /etc/init/buildkite-agent.conf ]; then
- sudo rm /etc/init/buildkite-agent.conf
- sudo cp /usr/share/buildkite-agent/lsb/buildkite-agent.sh /etc/init... | bash |
d_bash_8402 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/usr/bin/env bash
# get optional optimization instruction
opt=$1 | bash |
d_bash_8403 | ---
+++
@@ -1,12 +1,12 @@
#!/bin/sh
KEYCLOAK_CONFIG=${KEYCLOAK_DIR}/standalone/configuration/
+OPENSHIFT_CA=${OPENSHIFT_CA:-/var/run/secrets/kubernetes.io/serviceaccount/ca.crt}
cp ${KEYCLOAK_PLUGIN_DIR}/configuration/* ${KEYCLOAK_CONFIG}/
cp ${KEYCLOAK_PLUGIN_DIR}/providers/* ${KEYCLOAK_DIR}/providers/
KEYS... | bash |
d_bash_8404 | ---
+++
@@ -6,6 +6,17 @@
mas 'Numbers', id: 409203825
mas 'Bear', id: 1091189122
+mas 'Byword', id: 420212497
+mas 'Disk Doctor: System Cleaner', id: 455970963
+mas 'Icon Slate', id: 439697913
+mas 'iTeleport: VNC & RDP', id: 489094439
+mas 'Keynote', id: 409183694
+mas 'Memory Clean 3: Free Up Memory', id: 13023... | bash |
d_bash_8405 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+AWS_DEFAULT_REGION=${AWS_DEFAULT_REGION:-"us-west-2"}
if [[ $# < 3 ]]; then
echo "Usage: $0 cloud cluster_name verb [args...]"
@@ -26,7 +28,7 @@
apply)
# terraform doesn't provide a first-class way to represent rendered template contents
# as a resource (see... | bash |
d_bash_8406 | ---
+++
@@ -28,7 +28,9 @@
# ssh agent forwarding fix for tmux
cat > ~/.ssh/rc <<EOF
-if [ ! -S ~/.ssh/ssh_auth_sock ] && [ -S "\$SSH_AUTH_SOCK" ]; then
+#!/bin/bash
+
+if test "\$SSH_AUTH_SOCK" ; then
ln -sf \$SSH_AUTH_SOCK ~/.ssh/ssh_auth_sock
fi
EOF | bash |
d_bash_8407 | ---
+++
@@ -6,8 +6,16 @@
#
# build_registry.sh
+build_type=${1}
+
+BUILD_TYPE=${build_type:-dynamic}
+
SRC="https://github.com/docker/distribution.git"
COMMIT_ID=ece8e132bf6585815fdd00990f6215122c58fb3f
+
+#Install git
+
+yum install -y git
CUR_DIR=`pwd`
INSTALL_DIR="${CUR_DIR}/go.bld"
@@ -20,8 +28,15 @@... | bash |
d_bash_8408 | ---
+++
@@ -1,4 +1,29 @@
#!/bin/bash
+
+function travis_retry() {
+ $Local:result = 0
+ $Local:count = 1
+ $Local:cmd_string = $args -join ' '
+
+ while ( $count -le 3 ) {
+ if ( $result -ne 0 ) {
+ Write-Host -foregroundColor Red "`nThe command ""$cmd_string"" failed. Retrying, $count of 3.`n" 2>&1
+ ... | bash |
d_bash_8409 | ---
+++
@@ -16,6 +16,8 @@
# The --silent flag is to not output the entire npm ERR epilogue.
+# TODO: this requires npm to be installed on the host; either document or work
+# around it
npm run --silent lint:files -- $CHANGED_JS_FILES
| bash |
d_bash_8410 | ---
+++
@@ -40,7 +40,16 @@
buildFtgl() {
if bilderUnpack ftgl; then
- if bilderConfig ftgl ser; then
+ local ftargs=
+# OSX puts freetype under the X11 location, which may be in more than
+# one place.
+ for dir in /usr/X11 /opt/X11; do
+ if test -d $dir/include/freetype2; then
+ ftargs="--... | bash |
d_bash_8411 | ---
+++
@@ -11,6 +11,7 @@
BASE_SYNC=""
BASE_SYNC="${BASE_SYNC} build-imx6qsabresd/tmp/deploy"
BASE_SYNC="${BASE_SYNC} build-wandboard-dual/tmp/deploy"
+#BASE_SYNC="${BASE_SYNC} build-xxxx/tmp/deploy"
echo INFO: Mirroring from ${REMOTE_WORKDIR}
echo INFO: Mirroring to ${LOCAL_WORKDIR} | bash |
d_bash_8412 | ---
+++
@@ -2,7 +2,7 @@
# It turns out 'openmp=True' will cause some problems in Theano 0.7.0, so it was removed
-export THEANO_FLAGS='mode=FAST_RUN,floatX=float32,optimizer_excluding=inplace,allow_gc=False'
+export THEANO_FLAGS='mode=FAST_RUN,floatX=float32,openmp_elemwise_minsize=1000,allow_gc=False'
export O... | bash |
d_bash_8413 | ---
+++
@@ -7,7 +7,6 @@
f=$HOME/.vim/pack/default/start
mkdir -p $f
mkdir -p $HOME/.vim/swap
- git clone https://github.com/skreek/skeletor.vim $f/skeletor
git clone https://github.com/tomasiser/vim-code-dark $f/code-dark
git clone https://github.com/vim-airline/vim-airline $f/airline
git clone htt... | bash |
d_bash_8414 | ---
+++
@@ -1,10 +1,14 @@
set -ex
-apt-get install ruby rubygems ||
-yum install -y ruby rubygems ||
-pkgin install ruby rubygems ||
+# Get ruby, rubygems, and npdtae
+apt-get install ruby rubygems ntpdate ||
+yum install -y ruby rubygems ntpdate ||
false
+# Run ntpdate to ensure the system date is correct
+ntp... | bash |
d_bash_8415 | ---
+++
@@ -26,5 +26,5 @@
git commit -m "Travis build $TRAVIS_BUILD_NUMBER pushed to gh-pages"
git push -fq origin gh-pages > /dev/null
- echo -e "Done magic with coverage\n"
+ echo -e "Finished updating gh-pages\n"
fi | bash |
d_bash_8416 | ---
+++
@@ -6,6 +6,6 @@
npm i -g cssstats scrutinize get-css get-contrast a11y psi immutable-css
-npm i -g whois-cli is-up wifi-password wifi-name brightness-cli vol battery-level pure
+npm i -g whois-cli is-up wifi-password wifi-name brightness-cli vol battery-level pure-prompt
npm i -g gh github-search-repo... | bash |
d_bash_8417 | ---
+++
@@ -4,9 +4,15 @@
# Set up where we're going to stick it
# Somewhere to stick local packages
export LOCAL="${HOME}/.local"
-export CONDA_URL="https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh"
export CONDA_HOME="${LOCAL}/conda"
conda_exe="${CONDA_HOME}/bin/conda"
+
+# Set up conda url ... | bash |
d_bash_8418 | ---
+++
@@ -1,3 +1,8 @@
# Sublime Text 2 Aliases
-alias st='/Applications/Sublime\ Text\ 2.app/Contents/SharedSupport/bin/subl'
+#unamestr = 'uname'
+if [[ uname == 'Linux' ]]; then
+ alias st='open -a /usr/bin/sublime_text'
+elif [[ uname == 'Darwin' ]]; then
+ alias st='open -a "/Applications/Sublime Text 2.app'
... | bash |
d_bash_8419 | ---
+++
@@ -10,7 +10,7 @@
exit 0
fi
-if [ $TRAVIS_PULL_REQUEST = 'false' ]; then
+if [ $TRAVIS_PULL_REQUEST = 'true' ]; then
echo "Not building for pull request."
exit 0
fi | bash |
d_bash_8420 | ---
+++
@@ -1,5 +1,4 @@
#!/bin/bash
-pip3 install --user requests # pip itself may require requests.
pip3 install --user --upgrade routes ppp_core
pip3 install --user --upgrade git+https://github.com/ProjetPP/ExamplePPPModule-Python.git | bash |
d_bash_8421 | ---
+++
@@ -3,7 +3,7 @@
git config --global user.email "builds@travis-ci.com"
git config --global user.name "Travis CI"
- export GIT_TAG=v${VERSION}.beta-$TRAVIS_BUILD_NUMBER
+ export GIT_TAG=v${VERSION}
echo git tag $GIT_TAG -a -m "Generated tag from TravisCI for build $TRAVIS_BUILD_NUMBER"
git tag $... | bash |
d_bash_8422 | ---
+++
@@ -4,6 +4,9 @@
##
set +x
+
+# Set our default phpunit flags
+PHPUNIT_FLAGS="--log-junit build/reports/phpunit.xml $PHPUNIT_FLAGS"
# Assert assumption that we're running from the project root directory
# This works for all of my projects, but someone else may want to modify this
@@ -23,6 +26,6 @@
# P... | bash |
d_bash_8423 | ---
+++
@@ -1,12 +1,21 @@
#!/bin/bash
echo ">> Building...";
+IS_CI=false;
+if [[ ! -z "${CI}" ]]; then
+ IS_CI=true;
+fi
+echo "app-android/build.sh: IS_CI '${IS_CI}'";
+GRADLE_ARGS="";
+if [ $IS_CI = true ]; then
+ GRADLE_ARGS=" --console=plain";
+fi
DIRECTORY=$(basename ${PWD});
CUSTOM_SETTINGS_GRADLE_FILE="..... | bash |
d_bash_8424 | ---
+++
@@ -10,6 +10,9 @@
RVM_RUBY=${RVM_RUBY:-}
source ~/.rvm/scripts/rvm
+
+# Necessary for jruby
+export JAVACMD=/opt/java/jdk8/bin/java
if [ "$RVM_RUBY" == "ruby-head" ]; then
rvm reinstall $RVM_RUBY | bash |
d_bash_8425 | ---
+++
@@ -16,9 +16,16 @@
file = ARGV[0] if ARGV.length>0
-srcDir = File.dirname(file)
-out = "// Do not edit this file (e.g. go instead to docs/src/main/asciidoc)\n\n"
-doc = Asciidoctor.load_file file, safe: :safe, parse: false, attributes: 'allow-uri-read'
+# Copied from https://github.com/asciidoctor/asciid... | bash |
d_bash_8426 | ---
+++
@@ -1,5 +1,7 @@
#compdef vagga
#autoload
+
+VAGGA=${VAGGA:-vagga}
_list () {
local cmds listopts
@@ -10,9 +12,9 @@
fi
# Check if in folder with correct vagga.yaml file
- vagga _list 1>/dev/null 2>/dev/null
+ $VAGGA _list 1>/dev/null 2>/dev/null
if [ $? -eq 0 ]; then
- I... | bash |
d_bash_8427 | ---
+++
@@ -10,9 +10,21 @@
rm -rf /tmp/phantomjs;
# Let's install the NPM requirements
-sudo npm install -g grunt-cli;
+
+# Install grunt-cli and bower as root so the commands are available everywhere
+# Do this from the /tmp directory so we don't break file ownerships
+sudo npm install -g grunt-cli@~0.1.9;
+sudo... | bash |
d_bash_8428 | ---
+++
@@ -14,7 +14,7 @@
cd $HOME
git clone --quiet https://${GH_TOKEN}@github.com/$TRAVIS_REPO_SLUG build-docs > /dev/null
cd build-docs
-
+ npm install
./build/docs.sh
echo "Published docs to gh-pages.\n" | bash |
d_bash_8429 | ---
+++
@@ -24,10 +24,16 @@
popd
+if which ninja > /dev/null
+then
+ cmakeGenerator="Ninja"
+else
+ cmakeGenerator="Unix Makefiles"
+fi
export CMAKE_BUILD_PARALLEL_LEVEL=$(getconf _NPROCESSORS_ONLN)
-cmake -S. -Bbuild -DCMAKE_PREFIX_PATH=$qtToolchainPath -DENABLE_GUI=ON
+cmake -S. -Bbuild -G "$cmake... | bash |
d_bash_8430 | ---
+++
@@ -3,6 +3,6 @@
. $srcdir/../../../test_common.sh
test_init test_api_xccdf_unittests.log
-test_run "xccdf:complex-check -- NAND is working properly" ./test_xccdf_shall_pass test_xccdf_complex_check_nand.xccdf.xml
-test_run "xccdf:complex-check -- single negation" ./test_xccdf_shall_pass test_xccdf_complex... | bash |
d_bash_8431 | ---
+++
@@ -4,6 +4,7 @@
# File: scripts/build_docs.sh
# Desc: build the pyinfra docs
+set -e
# Build the apidoc/*.rst docs
rm -f docs/apidoc/*.rst | bash |
d_bash_8432 | ---
+++
@@ -7,4 +7,4 @@
exit 1
fi
-PYTHONPATH=libraries:tests/unit nosetests -w tests/unit/
+PYTHONPATH=libraries:tests/unit nosetests --verbosity=2 -w tests/unit/ | bash |
d_bash_8433 | ---
+++
@@ -2,5 +2,5 @@
heroku -v
-echo $1 | docker login --username=_ --password-stdin registry.heroku.com
+HEROKU_API_KEY="$1" heroku container:login
heroku container:push web --app geekplanet-staging --arg BUILD_ENV="staging" | bash |
d_bash_8434 | ---
+++
@@ -1,6 +1,11 @@
#!/usr/bin/env bash
cd /opt/pinot-0.016-pkg/
+
+mkdir -p /pinot-controller/data \
+ /pinot-broker \
+ /pinot-server/segments \
+ /pinot-server/data &> /dev/null
#bin/pinot-admin.sh StartZookeeper &
#sleep 2
@@ -9,13 +14,13 @@
ZK_OPT="-zkAddress $ZK_ADDRESS"
fi
-bin/pinot-admin... | bash |
d_bash_8435 | ---
+++
@@ -21,8 +21,10 @@
mkdir package
mkdir package/include
+mkdir package/include/ttmath
cd include
-cp -r ByteBuffer.hpp Client.h ClientConfig.h Column.hpp ConnectionPool.h Decimal.hpp Exception.hpp InvocationResponse.hpp Parameter.hpp ParameterSet.hpp Procedure.hpp ProcedureCallback.hpp Row.hpp RowBuilder.... | bash |
d_bash_8436 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+# Backup the dist folder, since admins can upload data directly to it
+cp -r ../dist ./.tmpBackup
git stash
git pull origin master
@@ -6,6 +9,12 @@
pm2 restart server
git stash pop
+# Merge the backup with the new dist folder, ignoring existing files
+rsync -a --ignore-... | bash |
d_bash_8437 | ---
+++
@@ -27,9 +27,17 @@
while [[ true ]]; do
sleep 1
elaspsed=$((elaspsed+1))
+
+ # Since this failing causes the app to rollback, it should only
+ # fail because of a problem with the app, not from problems with the config.
+ #
+ # --fail Before the app is started, nginx returns an error page. Without ... | bash |
d_bash_8438 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/sh
set -x
-aclocal19 -I /usr/local/share/aclocal || exit 1
-autoheader259 || exit 1
-libtoolize15 -c -f || exit 1
-automake19 -a -c || exit 1
-autoconf259 || exit 1
+aclocal19 -I /usr/local/share/aclocal || aclocal || exit 1
+autoheader259 || autoheader || exit 1
+libtoolize15 -c -f... | bash |
d_bash_8439 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u202-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u202b08.tar.gz"
+ echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u212-b04/OpenJDK8U-jdk_x64_linux_hotspot_8u212b... | bash |
d_bash_8440 | ---
+++
@@ -13,6 +13,10 @@
#hack CFLAGS LDFLAGS
export CFLAGS="${CFLAGS} -I$1/opt/$2/include"
export LDFLAGS="${LDFLAGS} -L$1/opt/$2/lib"
+
+ if [ -d "$1/opt/$2/lib/pkgconfig" ]; then
+ export PKG_CONFIG_PATH="${PKG_CONFIG_PATH}:$1/opt/$2/lib/pkgconfig"
+ fi
fi
}
@@ -25,5 +29,5 @@
... | bash |
d_bash_8441 | ---
+++
@@ -1,4 +1,4 @@
-unset RUBY_VERSION_FILE
+unset RUBY_AUTO_VERSION
function chruby_auto() {
local dir="$PWD" | bash |
d_bash_8442 | ---
+++
@@ -27,7 +27,7 @@
git commit -m "Bumps version number"
-echo "KM3Pipe $(km3pipe --version)\n=============" > docs/version.txt
+echo "KM3Pipe ${VERSION}\n=============" > docs/version.txt
git add docs/version.txt
git commit -m "update version tag in docs"
| bash |
d_bash_8443 | ---
+++
@@ -12,6 +12,7 @@
export PATH="$HOME/.node/bin:$PATH"
export PATH="node_modules/.bin:$PATH"
export PATH=$HOME/.rbenv/shims:$PATH
-export GOPATH=$HOME/Code/Go
+export GOPATH=$HOME/Projects
export PATH=$PATH:$GOROOT/bin
+export PATH=$PATH:$GOPATH/bin
export PATH="/usr/local/opt/gnu-tar/libexec/gnubin:$PATH... | bash |
d_bash_8444 | ---
+++
@@ -35,6 +35,11 @@
echo "******** BUILDING SPHINX DOCUMENTATION ********"
make html
+# remove rst files generated from markdown
+rm FAQ.rst
+rm research_papers.rst
+
+
# and copy doxygen into sphinx resulting dir
echo "******** MERGING DOCUMENTATION ********"
rm -fr _build/html/doxygen | bash |
d_bash_8445 | ---
+++
@@ -1,15 +1,30 @@
#!/bin/bash
-oslist=(darwin windows linux freebsd)
-for os in "${oslist[@]}"; do
- [ "$os" = "windows" ] && suffix=".exe" || suffix=""
- dirname="dist/$os"
- filename="twhelp$suffix"
- zipname="../twhelp-x64$os.zip"
- (
- GOARCH=amd64 GOOS="$os" go build -ldflags="-s... | bash |
d_bash_8446 | ---
+++
@@ -12,7 +12,8 @@
echo "using cached build"
else
pushd /tmp
- wget https://www.hdfgroup.org/ftp/HDF5/releases/hdf5-1.10/hdf5-$HDF5_VERSION/src/hdf5-$HDF5_VERSION.tar.gz
+ # Remove trailing .*, to get e.g. '1.12' ↓
+ wget "https://www.hdfgroup.or... | bash |
d_bash_8447 | ---
+++
@@ -1,7 +1,11 @@
#!/bin/bash
+export DISPLAY=:99.0
+sh -e /etc/init.d/xvfb start
+
npm run clean
npm run build
npm test
npm run test:coverage
+export PATH="$HOME/miniconda/bin:$PATH"
npm run test:integration
npm run docs | bash |
d_bash_8448 | ---
+++
@@ -16,6 +16,7 @@
curl -L -X PUT ${ETCD}/v2/keys/root/nodes -d dir=true
curl -L -X PUT ${ETCD}/v2/keys/root/serving_sth
curl -L -X PUT ${ETCD}/v2/keys/root/cluster_config
+curl -L -X PUT ${ETCD}/v2/keys/root/sequence_mapping
${DIR}/ct-clustertool initlog \
--key=${LOG_KEY} \
--etcd_servers="${ET... | bash |
d_bash_8449 | ---
+++
@@ -12,7 +12,7 @@
if [ -r ./VERSION ]; then
cat ./VERSION
else
- tagname=$(git tag -l 'v[0-9]*' --sort=tag -i --no-column | head -n1)
+ tagname=$(git tag -l 'v[0-9]*' --sort=-tag -i --no-column | head -n1)
tweaks=$(git rev-list --count HEAD ^$tagname)
if [ "${tweaks}" = 0 ]; then
tweaks=... | bash |
d_bash_8450 | ---
+++
@@ -17,7 +17,7 @@
pkg update
pkg install -y \
- editors/vim-lite \
+ editors/vim-tiny \
devel/git \
devel/gmake \
lang/go \ | bash |
d_bash_8451 | ---
+++
@@ -1,4 +1,9 @@
extract () {
+ if [ $# -ne 1 ]
+ then
+ echo "Error: No file specified."
+ return 1
+ fi
if [ -f $1 ] ; then
case $1 in
*.tar.bz2) tar xvjf $1 ;;
@@ -12,7 +17,7 @@
*.zip) unzip $1 ;;
*.Z) uncompress $1 ;;
*.7z) 7z x $1 ;;
- *) ... | bash |
d_bash_8452 | ---
+++
@@ -4,6 +4,9 @@
# Finder: show path bar
defaults write com.apple.finder ShowPathbar -bool true
+
+# Finder: Always show things in list view
+defaults write com.apple.Finder FXPreferredViewStyle Nlsv
# Display full POSIX path as Finder window title
defaults write com.apple.finder _FXShowPosixPathInTit... | bash |
d_bash_8453 | ---
+++
@@ -20,7 +20,7 @@
/usr/bin/mysqld_safe --defaults-file=/data/conf/my.cnf &
sleep 10s
- echo "Y\n${DB_ROOT_PASS}\nY\nY\nY\nY\n" > mysql_secure_installation
+ echo "Y\n${DB_ROOT_PASS}\nY\nY\nY\nY\n" | mysql_secure_installation
echo "GRANT ALL ON *.* TO ${DB_USER}@'%' IDENTIFIED BY '${DB_PAS... | bash |
d_bash_8454 | ---
+++
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
if [[ `uname` == 'Darwin' ]]; then
+ CFLAGS="${CFLAGS} -DBOOST_NO_CXX11_RVALUE_REFERENCES"
CXXFLAGS="${CXXFLAGS} -DBOOST_NO_CXX11_RVALUE_REFERENCES"
LDFLAGS="${LDFLAGS} -DBOOST_NO_CXX11_RVALUE_REFERENCES"
$PYTHON -B setup.py install --single-version-externally-man... | bash |
d_bash_8455 | ---
+++
@@ -8,9 +8,9 @@
cd $TEST_HOME/local/docker
./build_portal_image.sh
-MD5_ES_0=$(docker run --rm $BACKEND_PROJECT_USERNAME/cbioportal:$BACKEND_BRANCH sh -c 'find /cbioportal/core/src/test/scripts/test_data/study_es_0/ -type f -exec md5sum {} \; | md5sum | sed "s/\s.*$//"')
+MD5_ES_0=$(docker run --rm $BACKE... | bash |
d_bash_8456 | ---
+++
@@ -1,14 +1,14 @@
#!/bin/bash
-export BRLTTY_WRITABLE_DIRECTORY="/run/initramfs"
-export BRLTTY_LOG_FILE="${BRLTTY_WRITABLE_DIRECTORY}/brltty.log"
+export BRLTTY_SCREEN_DRIVER="lx"
+export BRLTTY_SPEECH_DRIVER="no"
+
+export BRLTTY_WRITABLE_DIRECTORY="/run"
+export BRLTTY_PID_FILE="${BRLTTY_WRITABLE_DIRECT... | bash |
d_bash_8457 | ---
+++
@@ -51,5 +51,5 @@
cp $tempDir/grantlee-$name_fragment.tar.gz $oldDir
cd $oldDir
-md5sum grantlee-$name_fragment.tar.gz > grantlee-$name_fragment-md5.txt
+gpg --detach-sign --armor grantlee-$name_fragment.tar.gz
| bash |
d_bash_8458 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
# This is useful because it prints out all of the source files. Useful for
# greps.
-find www include lib tools utils -name \*.\[cdhyl\]\* | grep -v Lexer.cpp | \
+find docs include lib tools utils -name \*.\[cdhyl\]\* | grep -v Lexer.cpp | \
grep -v llvmAsmParser.cpp | g... | bash |
d_bash_8459 | ---
+++
@@ -8,7 +8,7 @@
cd $NEUTRON_ROOT
VERSION=$(sh -c "(cat $NEUTRON_ROOT/neutron/version.py; \
- echo 'print common_version.VersionInfo(\"neutron\").release_string()') | \
+ echo 'print version_info.release_string()') | \
python")
cd -
| bash |
d_bash_8460 | ---
+++
@@ -19,7 +19,7 @@
mkdir -p $2
-for article_filename in `ls -d $1/*`; do
+for article_filename in `find $1 -maxdepth 1 -type d`; do
if [ -r ${article_filename}/input.text ]; then
if [ ! -r $2/`basename ${article_filename}` ]; then
ln -s ${article_filename}/input.text $2/`basename ${article_filena... | bash |
d_bash_8461 | ---
+++
@@ -2,21 +2,13 @@
isAlpha(){
local str=${@}
- if [[ $(isNull ${str//[a-zA-Z ]/}) ]]; then
- echo true
- else
- return;
- fi
+ isNull ${str//[a-zA-Z ]/}
}
isAlphaNum(){
local str=${@}
- if [[ $(isNull ${str//[0-9a-zA-Z ]}) ]]; then
- echo true
- else
- return;
- fi
+ isNull ${... | bash |
d_bash_8462 | ---
+++
@@ -16,6 +16,6 @@
CID=`docker run -itd -p 80 --hostname=benchmark.node benchmark/execution ${HOST_IP}`
CIP=`docker inspect -f '{{ .NetworkSettings.IPAddress }}' ${CID}`
echo "Container ID: ${CID} Container IP: ${CIP}"
-echo "Container json logs are in /var/log/docker/containers/${CID}/${CIP}-json.log"
+ech... | bash |
d_bash_8463 | ---
+++
@@ -7,7 +7,7 @@
init_vars
-module load gcc
+module load GCC
if [ ! -f downloads/sctk-${VERSION}*.bz2 ]; then
error_exit "Please download sctk-${VERSION}.xxxx.bz2 to the downloads folder"
@@ -26,16 +26,14 @@
make all || error_exit "compilation failed"
BIN_PATH=${OPT_DIR}/${VERSION}/bin
-LIB_PAT... | bash |
d_bash_8464 | ---
+++
@@ -1,14 +1,13 @@
#!/bin/sh
#
# mkchecksums.sh - generate interactive checksum-checking script.
-# Jordan Hubbard
+# Author: Jordan Hubbard
#
# This script generates a cksum.sh script from a set of tarballs
# and should not be run by anyone but the release coordinator (there
# wouldn't be much point).
... | bash |
d_bash_8465 | ---
+++
@@ -2,12 +2,14 @@
SNABB_SEND_BLAST=true ./testsend.snabb $SNABB_PCI_INTEL1 0 source.pcap &
BLAST=$!
-SNABB_RECV_SPINUP=2 SNABB_RECV_DURATION=5 ./testrecv.snabb $SNABB_PCI_INTEL0 0 > results.0 &
+SNABB_RECV_SPINUP=2 SNABB_RECV_DURATION=10 ./testrecv.snabb $SNABB_PCI_INTEL0 0 > results.0 &
+RECV=$!
sleep... | bash |
d_bash_8466 | ---
+++
@@ -1,6 +1,8 @@
-#!/bin/bash -e
+#!/bin/bash
# This script is invoked from my Travis-CI commands
# It bootstraps to grab the 'neil' tool and run 'neil test'
+set -e # exit on errors
+set -x # echo each line
echo Using the 'neil test' bootstrap script
git clone https://github.com/ndmitchell/neil
(cd neil ... | bash |
d_bash_8467 | ---
+++
@@ -2,6 +2,15 @@
#
# This script can be used to initialize a Vagrant VM
# to avoid weird errors due to a random Puppet version.
+#
+# Usage:
+#
+# ./bootstrap.sh [--distribution <distribution name>]
+#
+
+if [ '2' -eq "$#" ] && [ '--distribution' == "$1" ] ; then
+ DISTRIBUTION="$2"
+fi
if [ -z "$P... | bash |
d_bash_8468 | ---
+++
@@ -27,8 +27,10 @@
if [ ! -z "$JAVA_HOME" ];
then
# JAVA_HOME is set, use it.
- $JAVA_HOME/bin/java -jar $component_home/../lib/FrontEnd.jar -p $component_home/../var/specs_monitoring_nmap_frontend.pid
+ $JAVA_HOME/bin/java -jar $component_home/../lib/FrontEnd.jar -p $component_home/../var/specs_... | bash |
d_bash_8469 | ---
+++
@@ -31,7 +31,12 @@
elif [ "${MATRIX_TYPE}" = "python-sharded" ]; then
- SHARDED_TEST_APPS="form_processor sql_db couchforms case phone receiverwrapper"
+ SHARDED_TEST_APPS="corehq.form_processor \
+ corehq.sql_db \
+ couchforms \
+ casexml.apps.case \
+ casexml.apps.phon... | bash |
d_bash_8470 | ---
+++
@@ -1,2 +1,3 @@
+./build.sh
cd _site
aws --profile milkprojects s3 sync . s3://michael.standen.link --storage-class REDUCED_REDUNDANCY --delete | bash |
d_bash_8471 | ---
+++
@@ -9,15 +9,11 @@
function deploy_project () {
cd "$(git rev-parse --show-toplevel)"
- printf "[%s] deploying to web1.localdomain...\n" "$(date)"
+ printf "[%s] deploying to lstn.carlbennett.me...\n" "$(date)"
rsync -avzc --delete --delete-excluded --delete-after \
--progress --exclude-from=".... | bash |
d_bash_8472 | ---
+++
@@ -22,7 +22,7 @@
alias please='sudo'
## more intelligent acking for ubuntu users
-if which ack-grep > /dev/null;
+if which ack-grep &> /dev/null;
then
alias afind='ack-grep -il'
else | bash |
d_bash_8473 | ---
+++
@@ -34,6 +34,7 @@
-e abort.scheduled_abort \
-e relative_output_paths \
-e relative_output_paths_colliding \
- -e standard_output_paths_colliding_prevented
+ -e standard_output_paths_colliding_prevented \
+ -e space
cromwell::build::generate_code_coverage | bash |
d_bash_8474 | ---
+++
@@ -7,7 +7,8 @@
alias gc="git commit -v"
alias gd="git diff"
alias gdw="git diff --word-diff=color"
-alias gl="git log --decorate --graph --all --oneline"
+alias gl="git log --decorate --graph --oneline"
+alias gla="git log --decorate --graph --oneline --all"
alias glp="git log --decorate -p"
alias gls="... | bash |
d_bash_8475 | ---
+++
@@ -2,8 +2,8 @@
echo "================= Installing Python 3.6 ==================="
sudo apt-get install -y \
- python3.6=3.6.4* \
- python3.6-dev=3.6.4*
+ python3.6=3.6.5* \
+ python3.6-dev=3.6.5*
# Install virtualenv
virtualenv -p python3.6 $HOME/venv/3.6 | bash |
d_bash_8476 | ---
+++
@@ -27,4 +27,16 @@
fi
}
+test_get_500() {
+ $SCRIPT _get /test_error 2>/dev/null
+ local ret=$?
+
+ if [ "$ret" -eq 1 ]; then
+ return 0
+ else
+ printf 'Return code for 500 is "%s"; expected 1.\n' "$ret"
+ return 1
+ fi
+}
+
_main "$@" | bash |
d_bash_8477 | ---
+++
@@ -8,7 +8,8 @@
virtualenv --python=/usr/bin/python2.7 flocker-tutorial
# Upgrade the pip Python package manager to its latest version inside the
-# virtualenv:
+# virtualenv. Some older versions of pip have issues installing Python wheel
+# packages.
flocker-tutorial/bin/pip install --upgrade pip
# I... | bash |
d_bash_8478 | ---
+++
@@ -12,10 +12,13 @@
brew install dockutil
brew install fzf
brew install git
+brew install git-lfs
brew install grc
+brew install jq
brew install mosh
brew install reattach-to-user-namespace
brew install speedtest_cli
+brew install telnet
brew install tmux
brew install vim
brew install trash | bash |
d_bash_8479 | ---
+++
@@ -13,7 +13,7 @@
echo
echo "Installing utilities"
-sudo pacman -S file-roller gnome-terminal gedit firefox
+sudo pacman -S file-roller gnome-terminal gedit firefox system-config-printer
echo | bash |
d_bash_8480 | ---
+++
@@ -16,16 +16,7 @@
sleep 10
# Initial setup
-ssh $N1_IP "rm /etc/apt/apt.conf.d/docker-clean && apt-get install sudo"
-
-# Install JDK 8
-ssh $N1_IP "echo 'deb http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main' | tee /etc/apt/sources.list.d/webupd8team-java.list"
-ssh $N1_IP "echo 'deb-src http... | bash |
d_bash_8481 | ---
+++
@@ -1,10 +1,11 @@
DATA_DIR=../data
BIN_DIR=../bin
+SRC_DIR=../src
TEXT_DATA=$DATA_DIR/text8
VECTOR_DATA=$DATA_DIR/text8-vector.bin
-pushd ${BIN_DIR} && make; popd
+pushd ${SRC_DIR} && make; popd
if [ ! -e $VECTOR_DATA ]; then
| bash |
d_bash_8482 | ---
+++
@@ -1,18 +1,20 @@
#!/bin/bash
+
+# TODO - get rid of this, just use python...
set -o xtrace
set -o errexit
# Create a small network
-nova-manage --flagfile %CFG_FILE% network create private %FIXED_RANGE% 1 %FIXED_NETWORK_SIZE%
+nova-manage --config-file %CFG_FILE% network create private %FIXED_RANGE% ... | bash |
d_bash_8483 | ---
+++
@@ -2,7 +2,7 @@
set -e
cd ..
-git clone git@github.com:scalainc/exp-api.git .
+git clone git@github.com:scalainc/exp-api.git exp-api
cd exp-api
git checkout develop
npm install
@@ -10,7 +10,7 @@
npm start&
sleep(5)
cd ..
-git clone git@github.com:scalainc/exp-network.git .
+git clone git@github.com:... | bash |
d_bash_8484 | ---
+++
@@ -14,7 +14,7 @@
sleep $DELAY
type $INPUT
sleep 0.5
- printf '%b' " ⏎\n"
+ printf '%b' " >\n"
eval $INPUT
type "\n"
} | bash |
d_bash_8485 | ---
+++
@@ -5,12 +5,12 @@
source "${BASH_SOURCE%/*}/lib.sh"
TAPS=(
+ homebrew/cask
homebrew/core
homebrew/services
)
EGGS=(
- awscli
http-prompt
proselint
sphinx
@@ -18,6 +18,7 @@
)
FORMULAS=(
+ caddy
calc
ccat
cloc
@@ -36,19 +37,18 @@
luajit
mand... | bash |
d_bash_8486 | ---
+++
@@ -18,5 +18,5 @@
make lint-l10n >> $POSTATUS_FILE
if [[ "$?" -eq 0 && "$1" == "--push" ]]; then
- git -C locale push git@github.com:mozmeao/sumo-l10n-prod.git
+ git -C locale push sumo-l10n-prod:mozmeao/sumo-l10n-prod.git
fi | bash |
d_bash_8487 | ---
+++
@@ -4,12 +4,12 @@
if [[ "$TRAVIS_PULL_REQUEST" != "false" ]]; then
if [[ -z ${NOW_TOKEN+x} ]]; then
if [[ $(git log -1 --pretty=%B --no-merges) != *"WIP"* ]]; then
- NOW_URL=$(now -e NODE_ENV=production --public --no-clipboard --team=dawn --token="$NOW_TOKEN")
+ NOW_URL=$(now -e NODE_ENV=pr... | bash |
d_bash_8488 | ---
+++
@@ -10,3 +10,7 @@
#Instantiate the new image
$remote_command "sudo docker-compose -f /opt/infrastructure/docker/containers/grits.yml up -d"
+
+#Make sure grits has classifiers and disease lables
+$remote_command "sudo docker cp /home/ubuntu/source-vars.sh.backup grits:/source-vars.sh"
+$remote_command "su... | bash |
d_bash_8489 | ---
+++
@@ -19,7 +19,7 @@
BAD_HEADERS=$((${KUBE_ROOT}/hack/verify-boilerplate.sh || true) | awk '{ print $7}')
FORMATS="sh go Makefile Dockerfile"
-YEAR=`date +%Y`
+YEAR=`date -u +%Y`
for i in ${FORMATS}
do | bash |
d_bash_8490 | ---
+++
@@ -21,7 +21,11 @@
github_remote="remotes/github/master"
last_svn_rev=$(git log ${github_remote} | grep git-svn-id | head -n1 | grep -o '@[0-9]*' | sed 's/@/r/')
echo "Last svn revision on github: $last_svn_rev"
-
+
+ git checkout -q --detach
+ if git branch -D __tmp_master &> /dev/null ; then
+ ... | bash |
d_bash_8491 | ---
+++
@@ -1,13 +1,26 @@
#!/bin/bash
rm tiles.gpkg
-geoc tile generate -l "type=geopackage file=tiles.gpkg name=world pyramid=geodetic" \
+# Geodetic
+geoc tile generate -l "type=geopackage file=tiles.gpkg name=world_geodetic pyramid=geodetic" \
-m "layertype=layer file=naturalearth.gpkg layername=ocean sty... | bash |
d_bash_8492 | ---
+++
@@ -5,6 +5,8 @@
go build
go test
+
+echo $DOCKERHUB_USERNAME
status=$?
if [ $status -ne 0 ]
@@ -17,5 +19,5 @@
docker build -t icecreammatt/lookup .
-docker login -e $DOCKERHUB_EMAIL -u $DOCKERHUB_USERNAME -p $DOCKERHUB_PASSWORD
+docker login -u $DOCKERHUB_USERNAME -p $DOCKERHUB_PASSWORD
docker p... | bash |
d_bash_8493 | ---
+++
@@ -16,9 +16,9 @@
mkdir "$deps" || true
rm -rf "$inst"
+verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
osmo-build-dep.sh libosmocore
-
-"$deps"/libosmocore/contrib/verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
export PKG_CONFIG_PATH="$inst/lib/pkgconfig... | bash |
d_bash_8494 | ---
+++
@@ -24,7 +24,7 @@
numactl-devel \
numactl-libs \
gflags-devel \
- glogs-devel \
+ glog-devel \
cmake
# no rpm for this? | bash |
d_bash_8495 | ---
+++
@@ -1,7 +1,7 @@
function gi() { curl http://www.gitignore.io/api/$@ ;}
_gitignireio_get_command_list() {
- curl -s http://gitignore.io/api/list | tr "," "\n"
+ curl -s http://www.gitignore.io/api/list | tr "," "\n"
}
_gitignireio () { | bash |
d_bash_8496 | ---
+++
@@ -10,10 +10,12 @@
mkdir -p `pwd`/dist
chmod 777 `pwd`/dist
+docker rm -f pyinstaller || true
docker run -v `pwd`/:/code --name pyinstaller calico-build \
pyinstaller calicoctl.py -a -F -s --clean
docker rm -f pyinstaller || true
+docker rm -f docopt || true
docker run -v `pwd`/:/code --name docop... | bash |
d_bash_8497 | ---
+++
@@ -16,4 +16,6 @@
exit 1
fi
-killtree()
+if [ -f /tmp/blinkypid ]; then
+ killtree()
+fi | bash |
d_bash_8498 | ---
+++
@@ -19,5 +19,5 @@
cd ${TOP_DIR}/${RUNTIME}/build
- docker build --no-cache -t lambci/lambda:build-${RUNTIME} .
+ docker build -t lambci/lambda:build-${RUNTIME} .
done | bash |
d_bash_8499 | ---
+++
@@ -1,4 +1,4 @@
-(npm test && bash "$(dirname ${BASH_SOURCE[0]})/push-ready.sh")
+(npm run build && npm test && bash "$(dirname ${BASH_SOURCE[0]})/push-ready.sh")
if [[ $? -ne 0 ]]; then
printf "\e[31m×\e[0m Address above issues before bumping version"
exit 1 | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.